<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Clock</title>
    <script src="clock.js"></script>
    <link rel="stylesheet" href="clock.css">
</head>
<body>
    <div class="all">
      <svg width="400" height="400">
        <!-- background circle -->
        <circle cx="200" cy="200" r="198" stroke="gray" stroke-width="4" fill="transparent" />
        <!-- 1 clock tick -->
        <line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="black"></line>
        <!-- 1 clock tick -->
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="black"></line>

<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(30, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(60, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="black" transform="rotate(90, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(120, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(150, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="black" transform="rotate(180, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(210, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(240, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="black" transform="rotate(270, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(300, 200, 200)"></line>
<line x1="200" y1="25" x2="200" y2="35" stroke-width="6" stroke="gray" transform="rotate(330, 200, 200)"></line>
<!-- center point -->
<circle cx="200" cy="200" r="6" stroke="black" stroke-width="4" fill="transparent" />

<!-- hours -->
<line class="clock_hours" x1="200" y1="80" x2="200" y2="194" stroke-width="6" stroke="black" 
  transform="rotate(30, 200, 200)"></line>
<!-- minutes -->
<line class="clock_minutes" x1="200" y1="20" x2="200" y2="194" stroke-width="6" stroke="black" 
  transform="rotate(60, 200, 200)"></line>
<!-- seconds -->
<line class="clock_second" x1="200" y1="20" x2="200" y2="220" stroke-width="5" stroke="orange" 
  transform="rotate(90, 200, 200)"></line>
      </svg>
      <div class="writing">
        <h1 id="hour_h">22</h1>
        <h1>:</h1>
        <h1 id="hour_m">26</h1>
        <h1>:</h1>
        <h1 id="hour_s">53</h1>
      </div>
    </div>
    
    <script src="clock.js"></script>
</body>
</html>